using e_suite.API.Common;
using e_suite.UnitTestCore;

namespace e_suite.Modules.DomainManager.UnitTests.Helpers;

public class DomainManagerTestBase : TestBase
{
    protected FakeDomainRepository DomainManagerRepository = null!;
    protected FakeSsoManagerRepository SoManagerRepository = null!;
    protected IDomainManager DomainManager = null!;

    public override async Task Setup()
    {
        await base.Setup();

        DomainManagerRepository = new FakeDomainRepository();
        SoManagerRepository = new FakeSsoManagerRepository();

        DomainManager = new DomainManager(DomainManagerRepository, SoManagerRepository);
    }
}